import { NavigationContainer } from '@react-navigation/native'
import { useState, useEffect } from 'react'

import { authentication } from './firebaseConfig'
import { onAuthStateChanged } from "firebase/auth"

import { BottomTab } from './src/Navigation/BottomTab'
import Users from './src/Users/Users'

export default function App() {

  const [ isLogged, setIsLogged ] = useState(false)

  useEffect(() => {
    userObserver()
  }, []) 

  const userObserver = () => {
    onAuthStateChanged(authentication, (user) => {
      if (user) {
        // User is signed in
        setIsLogged(true)
        // ...
      } else {
        // User is signed out
        setIsLogged(false)
        // ...
      }
    })
  }

  return (
    <NavigationContainer>
      {!isLogged && <Users/>}
      {isLogged && <BottomTab/>}
    </NavigationContainer>
  )
}


