import { Text, View, Appearance, Alert } from 'react-native'
import React, { useState, useEffect, useCallback } from 'react'
import { GiftedChat, Send, Bubble, Composer } from 'react-native-gifted-chat'
import Ionicons from 'react-native-vector-icons/Ionicons'
import MaterialCommunityIcons from 'react-native-vector-icons/MaterialCommunityIcons'

import { authentication } from '../../firebaseConfig'
import { db } from '../../firebaseConfig'
import { setDoc, doc, deleteDoc, getDocs, collection, updateDoc, increment, getDoc, deleteField  } from 'firebase/firestore'

import { bulk_routine, bulk_routine_notes, shred_routine, shred_routine_notes, upper_lower_routine, upper_lower_routine_notes, fullBody_routine, fullBody_routine_notes, push_pull_legs_routine, push_pull_legs_routine_notes, muscle_per_day_routine, muscle_per_day_routine_notes } from './Data/data'

import cbStyles from './cbStyles'
import cbStylesDark from './cbStylesDark'
import { async } from '@firebase/util'

const BOT = {
    _id: 2,
    name: 'Astro',
}

export default function ChatBot() {

    const colorScheme = Appearance.getColorScheme()

    const [ messages, setMessages ] = useState([
        {_id: 1, text: '¿En que puedo ayudarte? 🤔', createdAt: new Date(), user: BOT}, 
        {_id: 0, text: '¡Hola! Soy Astro, tu asistente virtual de la aplicación.', createdAt: new Date(), user: BOT}, ])

    const onSend = (msg = []) => {
        
        let temp = {_id: Date.now() + Math.random() , text: msg.at(0).text, createdAt: new Date(), user: {_id: 1}}
        setMessages( previousMessages => GiftedChat.append(previousMessages, temp) )

        //let temp = messages
        //temp.unshift({_id: messages.length, text: msg.at(0).text, createdAt: new Date(), user: {_id: 1}})
        //setMessages(temp)
        let message = msg[0].text

        let myHeaders = new Headers() //Change token if does not work
        myHeaders.append("Authorization", "Bearer ya29.a0AVvZVsrM3kR2a1sfjIqO9hCA6qtRzCdH0MYzz5wfGZaxiNyj4QYuPs9PjlbqdWyKgTJ-Ma1jRGLb5kll6FJF_zY80g1MjgMzHQQzU-U3IcRlDBlHk_mTbIzxWC2JAbXwps2g6oWcoSLpxRn2REoc1Ri6KopcuHQaCgYKAXUSARESFQGbdwaIz-IFHdF7OQF-TbT9DMWQQw0166")
        myHeaders.append("Content-Type", "application/json")


        let raw = JSON.stringify({
            "queryInput": {
              "text": {
                "languageCode": "es",
                "text": message
              }
            }
        })

        var requestOptions = {
            method: 'POST',
            headers: myHeaders,
            body: raw,
            redirect: 'follow'
        }

        fetch("https://dialogflow.googleapis.com/v2beta1/projects/tfg-bot-hrov/agent/sessions/123456789:detectIntent", requestOptions)
            .then(response => response.json())
            .then(response => handleGoogleResponse(response))
            .catch(error => console.log('error', error))

    }

    const handleGoogleResponse = (response) => {
        let text = response.queryResult.fulfillmentMessages[0].text.text[0]
        //console.log(text)
        switch (text) {
            case "bulk_routine":
                deleteExercises()
                Alert.alert(
                    "Tus ejercicios han sido eliminados correctamente ¿Quieres que Astro te añada tu nueva rutina?",
                    "",
                    [ { text: "Cancelar", style: "cancel" }, { text: "Sí" , onPress: () => {
                        // METHOD ---------------------------------------------------------------------------------
                            const days = ["Lunes", "Martes", "Jueves", "Viernes", "Sabado"]
                            bulk_routine_notes.map(async (element, index) => {
                                await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                    note: element,
                                    nExercises: 0
                                  })
                            })
                            bulk_routine.map((element, index) => {
                                element.map(async (element2) => {
                                    await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index], "exercises", element2.exerciseName), {
                                        exerciseByBot: element2.exerciseByBot,
                                        exerciseName: element2.exerciseName,
                                        series: element2.series,
                                        notes: element2.notes,
                                        order: element2.order,
                                    })
                                    await updateDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                        nExercises: increment(1)
                                      })
                                }) 
                            })
                            sendBotResponse("Tu nueva rutina ha sido creada con éxito. Échale un vistazo a la pantalla principal de la aplicación.")
                            sendBotResponse("He añadido también una serie de anotaciones que he creído que podrían serte de gran utilidad.")
                        // ----------------------------------------------------------------------------------------
                    }} ] )
                    
                break
            case "shred_routine":
                deleteExercises()
                Alert.alert(
                    "Tus ejercicios han sido eliminados correctamente ¿Quieres que Astro te añada tu nueva rutina?",
                    "",
                    [ { text: "Cancelar", style: "cancel" }, { text: "Sí" , onPress: () => {
                        // METHOD ---------------------------------------------------------------------------------
                            const days = ["Lunes", "Miercoles", "Viernes"]
                            shred_routine_notes.map(async (element, index) => {
                                await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                    note: element,
                                    nExercises: 0
                                  })
                            })
                            shred_routine.map((element, index) => {
                                element.map(async (element2) => {
                                    await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index], "exercises", element2.exerciseName), {
                                        exerciseByBot: element2.exerciseByBot,
                                        exerciseName: element2.exerciseName,
                                        series: element2.series,
                                        notes: element2.notes,
                                        order: element2.order,
                                    })
                                    await updateDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                        nExercises: increment(1)
                                      })
                                }) 
                            })
                            sendBotResponse("Tu nueva rutina ha sido creada con éxito. Échale un vistazo a la pantalla principal de la aplicación.")
                            sendBotResponse("He añadido también una serie de anotaciones que he creído que podrían serte de gran utilidad.")
                        // ----------------------------------------------------------------------------------------
                    }} ] )
                break
            case "full_body_routine":
                deleteExercises()
                Alert.alert(
                    "Tus ejercicios han sido eliminados correctamente ¿Quieres que Astro te añada tu nueva rutina?",
                    "",
                    [ { text: "Cancelar", style: "cancel" }, { text: "Sí" , onPress: () => {
                        // METHOD ---------------------------------------------------------------------------------
                            const days = ["Lunes", "Miercoles", "Viernes"]
                            fullBody_routine_notes.map(async (element, index) => {
                                await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                    note: element,
                                    nExercises: 0
                                  })
                            })
                            fullBody_routine.map((element, index) => {
                                element.map(async (element2) => {
                                    await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index], "exercises", element2.exerciseName), {
                                        exerciseByBot: element2.exerciseByBot,
                                        exerciseName: element2.exerciseName,
                                        series: element2.series,
                                        notes: element2.notes,
                                        order: element2.order,
                                    })
                                    await updateDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                        nExercises: increment(1)
                                      })
                                }) 
                            })
                            sendBotResponse("Tu nueva rutina ha sido creada con éxito. Échale un vistazo a la pantalla principal de la aplicación.")
                            sendBotResponse("He añadido también una serie de anotaciones que he creído que podrían serte de gran utilidad.")
                        // ----------------------------------------------------------------------------------------
                    }} ] )
                break
            case "upper_lower_routine":
                deleteExercises()
                Alert.alert(
                    "Tus ejercicios han sido eliminados correctamente ¿Quieres que Astro te añada tu nueva rutina?",
                    "",
                    [ { text: "Cancelar", style: "cancel" }, { text: "Sí" , onPress: () => {
                        // METHOD ---------------------------------------------------------------------------------
                            const days = ["Lunes", "Martes", "Jueves", "Viernes"]
                            upper_lower_routine_notes.map(async (element, index) => {
                                await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                    note: element,
                                    nExercises: 0
                                  })
                            })
                            upper_lower_routine.map((element, index) => {
                                element.map(async (element2) => {
                                    await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index], "exercises", element2.exerciseName), {
                                        exerciseByBot: element2.exerciseByBot,
                                        exerciseName: element2.exerciseName,
                                        series: element2.series,
                                        notes: element2.notes,
                                        order: element2.order,
                                    })
                                    await updateDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                        nExercises: increment(1)
                                      })
                                }) 
                            })
                            sendBotResponse("Tu nueva rutina ha sido creada con éxito. Échale un vistazo a la pantalla principal de la aplicación.")
                            sendBotResponse("He añadido también una serie de anotaciones que he creído que podrían serte de gran utilidad.")
                        // ----------------------------------------------------------------------------------------
                    }} ] )
                break
            case "push_pull_legs_routine":
                deleteExercises()
                Alert.alert(
                    "Tus ejercicios han sido eliminados correctamente ¿Quieres que Astro te añada tu nueva rutina?",
                    "",
                    [ { text: "Cancelar", style: "cancel" }, { text: "Sí" , onPress: () => {
                        // METHOD ---------------------------------------------------------------------------------
                            const days = ["Lunes", "Martes", "Miercoles", "Jueves", "Viernes", "Sabado"]
                            push_pull_legs_routine.map(async (element, index) => {
                                await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                    nExercises: 0
                                  })
                            })
                            push_pull_legs_routine.map((element, index) => {
                                element.map(async (element2) => {
                                    await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index], "exercises", element2.exerciseName), {
                                        exerciseByBot: element2.exerciseByBot,
                                        exerciseName: element2.exerciseName,
                                        series: element2.series,
                                        notes: element2.notes,
                                        order: element2.order,
                                    })
                                    await updateDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                        nExercises: increment(1)
                                      })
                                }) 
                            })
                            sendBotResponse("Tu nueva rutina ha sido creada con éxito. Échale un vistazo a la pantalla principal de la aplicación.")
                            //sendBotResponse("He añadido también una serie de anotaciones que he creído que podrían serte de gran utilidad.")
                        // ----------------------------------------------------------------------------------------
                    }} ] )
                break
            case "muscle_per_day_routine":
                deleteExercises()
                Alert.alert(
                    "Tus ejercicios han sido eliminados correctamente ¿Quieres que Astro te añada tu nueva rutina?",
                    "",
                    [ { text: "Cancelar", style: "cancel" }, { text: "Sí" , onPress: () => {
                        // METHOD ---------------------------------------------------------------------------------
                            const days = ["Lunes", "Martes", "Miercoles", "Jueves", "Viernes"]
                            muscle_per_day_routine.map(async (element, index) => {
                                await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                    nExercises: 0
                                  })
                            })
                            muscle_per_day_routine.map((element, index) => {
                                element.map(async (element2) => {
                                    await setDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index], "exercises", element2.exerciseName), {
                                        exerciseByBot: element2.exerciseByBot,
                                        exerciseName: element2.exerciseName,
                                        series: element2.series,
                                        notes: element2.notes,
                                        order: element2.order,
                                    })
                                    await updateDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", days[index]), {
                                        nExercises: increment(1)
                                      })
                                }) 
                            })
                            sendBotResponse("Tu nueva rutina ha sido creada con éxito. Échale un vistazo a la pantalla principal de la aplicación.")
                            //sendBotResponse("He añadido también una serie de anotaciones que he creído que podrían serte de gran utilidad.")
                        // ----------------------------------------------------------------------------------------
                    }} ] )
                break
            default:
                sendBotResponse(text)
                //console.log(text)
                break
        }
        //sendBotResponse(text)
    }

    const sendBotResponse = (text) => {
        let msg = {
            _id: Date.now() + Math.random(),
            text,
            createdAt: new Date(),
            user: BOT
        }
        setMessages(previousMessages => GiftedChat.append(previousMessages, msg))
        //let temp = messages
        //temp.unshift(msg)
        //setMessages(temp)
        //console.log(messages)
    } 

    const deleteExercises = () => {
        const days = ["Lunes", "Martes", "Miercoles", "Jueves", "Viernes", "Sabado", "Domingo"]

        //days.map(async (element) => {
            //await deleteDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", element)) 
            //const docRef = doc(db, "users", authentication.currentUser.uid, "weekDay", element)
            //const docSnap = await getDoc(docRef)
            //if (docSnap.exists()) {
                //if (Object.keys(docSnap.data()).length === 0){
                    //console.log("No such document for ", element, "!")
                //} else {
                    //const querySnapshot = await getDocs(collection(db, "users", authentication.currentUser.uid, "weekDay", element, "exercises"))
                    //querySnapshot.forEach(async (docSnapshot) => {
                    // doc.data() is never undefined for query doc snapshots
                        //await deleteDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", element, "exercises", docSnapshot.id))
                    //})
                    //await updateDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", element), {
                        //nExercises: deleteField()
                    //})
                //}
            //} else {
                // doc.data() will be undefined in this case
                //console.log("No such document for ", element, "!")
            //}
        //})
        days.map(async (element) => { 
            const docRef = doc(db, "users", authentication.currentUser.uid, "weekDay", element)
            const docSnap = await getDoc(docRef)
            if (docSnap.exists()) { 
                await updateDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", element), {
                    nExercises: deleteField()
                })
                await updateDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", element), {
                    note: deleteField()
                })
                const querySnapshot = await getDocs(collection(db, "users", authentication.currentUser.uid, "weekDay", element, "exercises"))
                querySnapshot.forEach(async (docum) => {
                    await deleteDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", element, "exercises", docum.data().exerciseName))
                })
            }
        })
    }

    const renderSend = (props) => {
        return (
            <Send {...props}>
                <View>
                    <MaterialCommunityIcons name="send-circle" size={32} color={'#0080FE'} style={{marginBottom: 7, marginRight: 10,}}/>
                </View>
            </Send>
        )
    }

    const scrollToBottomComponent = () => {
        return ( <Ionicons name="ios-arrow-down" size={22} color={'#0080FE'} /> )
    }

    const renderBubble = (props) => {
        return ( <Bubble {...props} wrapperStyle={{ left: { backgroundColor: '#fff' } }} /> )
    }

    const renderBubbleDark = (props) => {
        return ( <Bubble {...props} wrapperStyle={{ left: { backgroundColor: '#1c1c1e' } }} textStyle={{left: {color: '#fff'}}} /> )
    }

    const renderComposer = (props) => {
        return ( <Composer {...props} placeholder='Escribe un mensaje...'/> )
    }

    const renderComposerDark = (props) => {
        return ( <Composer {...props} placeholder='Escribe un mensaje...'/> )
    }

    return (
        <View style={colorScheme === 'dark' ? cbStylesDark.container : cbStyles.container}>
            {colorScheme === 'light' &&
                <GiftedChat
                    messages={messages}
                    bottomOffset={115}
                    onSend={(message) => onSend(message)}
                    user={{_id: 1}}
                    alwaysShowSend
                    renderSend={renderSend}
                    scrollToBottom
                    scrollToBottomComponent={scrollToBottomComponent}
                    renderBubble={renderBubble}
                    renderComposer={renderComposer}
                /> 
            }
            {colorScheme === 'dark' &&
                <GiftedChat
                    messages={messages}
                    bottomOffset={115}
                    onSend={(message) => onSend(message)}
                    user={{_id: 1}}
                    alwaysShowSend
                    renderSend={renderSend}
                    scrollToBottom
                    scrollToBottomComponent={scrollToBottomComponent}
                    renderBubble={renderBubbleDark}
                    renderComposer={renderComposerDark}
                /> 
            }
        </View>
    )
  }