import {Text, TouchableOpacity, Alert, Appearance } from 'react-native'
import TextModal from '../Modals/TextModal'

import { authentication } from '../../../firebaseConfig'
import { db } from '../../../firebaseConfig'
import { doc, deleteDoc, updateDoc } from "firebase/firestore"

import { useState } from 'react'

import hpStyles from '../hpStyles'
import hpStylesDark from '../hpStylesDark'

export default function CardNote(props) {

    const colorScheme = Appearance.getColorScheme()

    const [textModal, setTextModal] = useState(false)

    const month = ["January","February","March","April","May","June","July","August","September","October","November","December"]

    const options = () => {
        Alert.alert(
            "¿Quieres eliminar la nota?",
            "",
            [ { text: "Cancelar", style: "cancel" },  { text: "Eliminar" , onPress: () => onDelete()} ]
        )
    }

    const onDelete = async () => {
        let temp = props.notes.map((c,i) => {
            if ( c.id != props.id ) {
                return c
            }
        })
        const results = temp.filter(element => {
            return element !== undefined;
          });
        await updateDoc(doc(db, "users", authentication.currentUser.uid, "weekDay", props.weekDay, "exercises", props.exerciseName ), {
            notes: results
        })
    }

    return (
        <TouchableOpacity style={colorScheme === 'dark' ? hpStylesDark.cardNoteView : hpStyles.cardNoteView} onPress={() => setTextModal(!textModal)} onLongPress={() => options()}>
            <Text style={{color: 'gray'}}>{month[props.month].toLocaleUpperCase().slice(0, 3)} {props.day}</Text>
            <Text style={colorScheme === 'dark' ? hpStylesDark.cardNoteYear : hpStyles.cardNoteYear}>{props.year}</Text>
            <TextModal textModal={textModal} setTextModal={setTextModal} text={props.text} notes={props.notes} id={props.id} weekDay={props.weekDay} exerciseName={props.exerciseName}/>
        </TouchableOpacity>      
    )
}