import { Text,View, TouchableOpacity, Appearance } from 'react-native'

import hpStyles from '../hpStyles'
import hpStylesDark from '../hpStylesDark'

export default function CardWithPlanSerie(props) {

    const colorScheme = Appearance.getColorScheme()

    return (
        <TouchableOpacity style={colorScheme === 'dark' ? hpStylesDark.cardWithoutPlanSerieView: hpStyles.cardWithoutPlanSerieView} activeOpacity={1}>
            <Text style={colorScheme === 'dark' ? hpStylesDark.cardWithoutPlanSerieTitle : hpStyles.cardWithoutPlanSerieTitle}>Serie {props.serie + 1}</Text>
            <View style={colorScheme === 'dark' ? hpStylesDark.separator2 : hpStyles.separator2}/>
            <Text style={colorScheme === 'dark' ? hpStylesDark.cardWithoutPlanSerieReps : hpStyles.cardWithoutPlanSerieReps}>{props.reps} rep/s</Text>
            <Text style={colorScheme === 'dark' ? hpStylesDark.cardWithoutPlanSerieWeighte : hpStyles.cardWithoutPlanSerieWeighte}>{props.weight} kg/s</Text>
        </TouchableOpacity>
    )
}