import {Text, View, TouchableOpacity, FlatList, Dimensions } from 'react-native'

import CardWithPlanSerie from './CardWithPlanSerie'

import hpStyles from '../hpStyles'

const {width, height} = Dimensions.get('screen')

export default function PlanCard(props) {

    const month = ["January","February","March","April","May","June","July","August","September","October","November","December"]

    const renderSerie = ({ item, index }) => (
        <CardWithPlanSerie serie={item.id} reps={item.reps} weight={item.weight}/>
    )

    return (
        <TouchableOpacity style={{width: width - 90, marginTop: 20, marginRight: 30}} activeOpacity={1}>
            <View>
                <Text style={hpStyles.cardWithPlanViewTitleText}>DAY {props.id + 1} [ {month[props.day.toDate().getMonth()].toLocaleUpperCase()} {props.day.toDate().getDate()} | {props.day.toDate().getFullYear()} ]</Text>
                <FlatList 
                    style={{flexDirection: 'row'}}
                    data={props.series}
                    renderItem={renderSerie}
                    key={item => item.id}
                    horizontal={true}/>
            </View>
        </TouchableOpacity>
    )
}