import { Button, View, Modal, FlatList, Appearance } from 'react-native'

import PlanCard from '../HomeCards/PlanCard'

import hpStyles from '../hpStyles'
import hpStylesDark from '../hpStylesDark'

export default function HomePlanModal(props) {

    const colorScheme = Appearance.getColorScheme()
    
    const renderSerie = ({ item }) => (
        <PlanCard id={item.id} day={item.day} series={item.series} />
    )

    return (
        <Modal
            animationType="slide"
            transparent={true}
            visible={props.planModal}
            onRequestClose={() => { props.setPlanModal(!props.planModal) }}
            >
            <View style={colorScheme === 'dark' ? hpStylesDark.modelView : hpStyles.modelView}>
            <View style={hpStyles.modelViewButtons}>
                    <Button title="Volver" onPress={() => props.setPlanModal(!props.planModal)}/>  
                </View>
            <FlatList
                data={props.planification}
                renderItem={renderSerie}
                key={item => item.id}
                horizontal={true}
                pagingEnabled
                snapToAlignment='center'
            />  
            </View>
            
        </Modal>
    )
}