import { StyleSheet} from 'react-native';

const hpStyles = StyleSheet.create({

  // HOME PAGE -----------------------------
    container: {
      flex: 1,
      backgroundColor: '#f2f1f6',
      paddingTop:40,
    },
  // ---------------------------------------

  // CARD DAY ------------------------------
    cardView: {
      margin: 25,
      backgroundColor: '#fff',
      height: '78%', 
      width: '90%', 
      alignItems: 'center', 
      borderRadius: 20,
      paddingBottom: 5,
    },
    titleCardDay: {
      marginLeft: 20,
      marginVertical: 20,
      fontSize: 30,
      fontWeight: 'bold',
    },
    cardExerciseFlatListView: {
      paddingHorizontal: 20,
      width: '100%',
    },
    noExsView: {
      flex: 1,    
      alignItems: 'center',
      justifyContent: 'center',
      flexDirection: 'col',
    },
    noExsLabel: {
      color: 'gray',
    },
  // ---------------------------------------

  // CARD WITHOUT PLAN ---------------------
    cardWithoutPlanView: {
      marginVertical: 10,
      
    },
    cardWithoutPlanViewTitle: {
      marginBottom: 10,
      flexDirection: 'row',
      alignItems: 'center',
    },
    cardWithoutPlanViewTitleText: {
      color: 'gray',
      fontSize: 15,
      width: '75%',
    },
    cardWithoutPlanViewTitleIconView: {
      flex: 1,
      alignItems: 'flex-end',
    },
    separator: {
      height: 1,
      width: '100%',
      marginBottom: 10,
      backgroundColor: '#e7e7e7',
    },
    cardWithoutPlanFlatList: {
      width: '100%',
      
    },
  // ---------------------------------------

  // CARD WITHOUT PLAN SERIE ---------------
    cardWithoutPlanSerieView: {
      paddingVertical: 15,
      borderRadius: 15,
      alignItems: 'center',
      backgroundColor: '#f2f1f6',
      marginTop: 7,
      marginHorizontal: 6,
      width: 100,
    },
    cardWithoutPlanSerieViewDone: {
      paddingVertical: 15,
      borderRadius: 15,
      alignItems: 'center',
      backgroundColor: '#50C878',
      marginTop: 7,
      marginHorizontal: 6,
      width: 100,
    },
    cardWithoutPlanSerieViewFail: {
      paddingVertical: 15,
      borderRadius: 15,
      alignItems: 'center',
      backgroundColor: '#FF4C4C',
      marginTop: 7,
      marginHorizontal: 6,
      width: 100,
    },
    cardWithoutPlanSerieTitle: {
      fontWeight: 'bold',
      fontSize: 16,
    },
    separator2: {
      height: 1,
      width: '80%',
      marginVertical: 5,
      backgroundColor: '#e7e7e7',

    },
    cardWithoutPlanSerieWeighte: {
      fontSize: 13,
    },
    cardWithoutPlanSerieReps: {
      fontSize: 15,
    },
  // ---------------------------------------

  // UPDATE REPS MODAL ---------------------
    btnAddSeriesView: {
      flexDirection: 'row',
      justifyContent: 'center',
      width: '100%',
      height: '25%',
      alignItems: 'center',
    },
    textReps: {
      fontSize: 16,
    },
  // ---------------------------------------

  // CARD WITH PLAN ------------------------
    cardWithPlanView: {
      justifyContent: 'center',
    },
    btnOpenPlan: {
      backgroundColor: '#0080FE',
      borderRadius: 10,
      alignItems: 'center',
      justifyContent: 'center',
      height: 40,
      marginTop: 10,
      marginBottom: 20,
    },
    btnOpenPlanText: {
      fontSize: 16,
      color: '#fff',
      fontWeight: 'bold',
    },
    cardWithPlanViewTitleText: {
      color: 'gray',
      fontSize: 15,
    },
  // ---------------------------------------

  // HOME PLAN MODEL -----------------------
    modelView: {
      backgroundColor: '#fff', 
      width: '100%', 
      height: '30%', 
      position: 'absolute', 
      bottom: 0,
      paddingHorizontal: 30,
    },
    modelViewWText: {
      backgroundColor: '#fff', 
      width: '100%', 
      height: '60%', 
      position: 'absolute', 
      bottom: 0,
      paddingHorizontal: 30,
    },
    modelViewButtons: {
      flexDirection: 'row', 
      width: '100%', 
      justifyContent: 'center',
    },
  // ---------------------------------------

  // ADD SERIE MODEL -----------------------
    seriesView: {
      marginTop: '13%',
      margin: 10,
      height: 50,
      justifyContent: 'flex-start',
      alignItems: 'center',
      flexDirection: 'row',
      backgroundColor: '#f2f1f6',
      borderRadius: 10,
    },
    seriesViewLabel: {
      fontWeight: 'bold',
      paddingStart: 10,
      fontSize: 16,
      width: '32%',
    },
    serieInputStyle2: {
      width: '35.8%',
      borderBottomColor: '#e7e7e7',
      borderBottomWidth: 1, 
    },
    nRepsLabel: {
      marginTop: 9,
      fontSize: 15,
      marginHorizontal: 7,
    },
    serieInputView: {
      justifyContent: 'center',
      flex: 1,
      paddingLeft: 30,
    },
    serieInputStyle: {
      borderBottomColor: '#e7e7e7',
      borderBottomWidth: 1,
    },
  // ---------------------------------------

  // NOTES MODAL ---------------------------
    notesModalViwe: {
      flex: 1,
      backgroundColor: '#f2f1f6',
      paddingTop: 80,
      paddingHorizontal: 20,
    },
    notesModelView2: {
      flex: 1,
      marginHorizontal: 8,
      marginTop: 35,
    },
    notesModelNotesView: {
      backgroundColor: '#fff',
      marginTop: 5,
      borderRadius: 15,
      width: '100%',
      height: 100,
      padding: 10,
    },
    notesModelNotesView2: {
      backgroundColor: '#fff',
      marginTop: 20,
      borderRadius: 15,
      width: '100%',
      padding: 10,
    },
    noteLabel: {
      fontSize: 16,
      marginRight: 17,
    },
    noteLabel2: {
      fontSize: 16,
      marginRight: 17,
      fontWeight: 'bold'
    },
    noteInput: {
      marginTop: 7,
      height: 200,
    },
  // ---------------------------------------

  // CARD NOTE -----------------------------
    cardNoteView: {
      flex: 1,
      width: 90,
      backgroundColor: '#f2f1f6',
      marginRight: 15,
      borderRadius: 15,
      alignItems: 'center',
      justifyContent: 'center',
    },
    cardNoteYear: {
      fontSize: 18,
      fontWeight: 'bold',
    },
    modelViewText: {
      backgroundColor: '#fff', 
      width: '100%', 
      height: '67.5%', 
      position: 'absolute', 
      bottom: 0,
      paddingHorizontal: 30,
    },
    inputText: {
      fontSize: 16,
      padding: 20,
      paddingTop: 15,
      paddingBottom: 15,
      borderRadius: 15,
      backgroundColor: '#f2f1f6',
      height: '90%',
    }
  // ---------------------------------------
  });

export default hpStyles;