import { createBottomTabNavigator } from '@react-navigation/bottom-tabs'
import { Appearance } from 'react-native'

import HomePage from '../HomePage/HomePage'
import PlanViewPage from '../PlanViewPage/PlanViewPage'
import Planner from '../Planner/Planner'
import ChatBot from '../ChatBot/ChatBot'
import Profile from '../Users/Profile'

import Ionicons from 'react-native-vector-icons/Ionicons'

import navStyles from './navStyles'
import navStylesDark from './navStylesDark'

const Tab = createBottomTabNavigator()

export const BottomTab = () => {

  const colorScheme = Appearance.getColorScheme()

  return (
    <Tab.Navigator initialRouteName="Home" screenOptions={{
      headerShown: false,
      tabBarShowLabel: false,
      tabBarStyle: colorScheme === 'dark' ? navStylesDark.navBar : navStyles.navBar
      }}>
      <Tab.Screen name="ChatBot" component={ChatBot} options={{
        tabBarIcon: ({color, size}) => (<Ionicons name="chatbox-outline" color={color} size={size} style={{marginTop: 23}}/>)
        }}/>
      <Tab.Screen name="PlanViewPage" component={PlanViewPage} options={{
        tabBarIcon: ({color, size}) => (<Ionicons name="ios-calendar-outline" color={color} size={size} style={{marginTop: 21.2}}/>)
        }}/>
      <Tab.Screen name="Home" component={HomePage} options={{
        tabBarIcon: ({color, size}) => (<Ionicons name="home-outline" color={color} size={size} style={{marginTop: 21.2}}/>)
        }}/>
      <Tab.Screen name="Planner" component={Planner} options={{
        tabBarIcon: ({color, size}) => (<Ionicons name="clipboard-outline" color={color} size={size} style={{marginTop: 20.4}}/>)
        }}/>
      <Tab.Screen name="Profile" component={Profile} options={{
        tabBarIcon: ({color, size}) => (<Ionicons name="person-outline" color={color} size={size} style={{marginTop: 20.4}}/>)
        }}/>
    </Tab.Navigator>
  )

}