import { Button, Text, TextInput, View, FlatList, Alert, Keyboard, TouchableWithoutFeedback, Appearance } from 'react-native'
import { useState, useEffect } from 'react'
import { Picker } from '@react-native-picker/picker'

import { authentication } from '../../../../../firebaseConfig'
import { db } from '../../../../../firebaseConfig'
import { setDoc, doc } from 'firebase/firestore'
import DefaultPlanCard from '../../../PlannerCards/DefaultPlanCard'

import plStyles from '../../../plStyles'
import plStylesDark from '../../../plStylesDark'

export default function BasicoDefaultPlan(props) {

    const colorScheme = Appearance.getColorScheme()

    const [ namePlan, setNamePlan ] = useState("PIP Plan")
    const [ weightDefaultPlan, setWeightDefaultPlan ] = useState("")

    const [ planification, setPlanification ] = useState()

    useEffect(() => {
        if ( weightDefaultPlan != "" ) {
            if ( namePlan == "PIP Plan" ) {
                let dateCopy = new Date(props.startDayPlan.getTime())
                const newPlan = [{id: 0, day: props.startDayPlan, series:[{id: 0, reps: "10", weight: Math.round((weightDefaultPlan * 0.65 * 10)) / 10 + ""}, {id: 1, reps: "10", weight: Math.round((weightDefaultPlan * 0.65 * 10)) / 10 + ""}, {id: 2, reps: "10", weight: Math.round((weightDefaultPlan * 0.65 * 10)) / 10 + ""}, ]},
                                {id: 1, day: new Date(dateCopy.setDate(dateCopy.getDate() + 1 * 7)), series:[{id: 0, reps: "8", weight: Math.round((weightDefaultPlan * 0.70 * 10)) / 10 + ""}, {id: 1, reps: "8", weight: Math.round((weightDefaultPlan * 0.70 * 10)) / 10 + ""}, {id: 2, reps: "8", weight: Math.round((weightDefaultPlan * 0.70 * 10)) / 10 + ""}, ]},
                                {id: 2, day: new Date(dateCopy.setDate(dateCopy.getDate() + 1 * 7)), series:[{id: 0, reps: "6", weight: Math.round((weightDefaultPlan * 0.75 * 10)) / 10 + ""}, {id: 1, reps: "6", weight: Math.round((weightDefaultPlan * 0.75 * 10)) / 10 + ""}, {id: 2, reps: "6", weight: Math.round((weightDefaultPlan * 0.75 * 10)) / 10 + ""}, ]},
                                {id: 3, day: new Date(dateCopy.setDate(dateCopy.getDate() + 1 * 7)), series:[{id: 0, reps: "5", weight: Math.round((weightDefaultPlan * 0.80 * 10)) / 10 + ""}, {id: 1, reps: "5", weight: Math.round((weightDefaultPlan * 0.80 * 10)) / 10 + ""}, {id: 2, reps: "5", weight: Math.round((weightDefaultPlan * 0.80 * 10)) / 10 + ""}, ]},
                                {id: 4, day: new Date(dateCopy.setDate(dateCopy.getDate() + 1 * 7)), series:[{id: 0, reps: "3", weight: Math.round((weightDefaultPlan * 0.85 * 10)) / 10 + ""}, {id: 1, reps: "3", weight: Math.round((weightDefaultPlan * 0.85 * 10)) / 10 + ""}, {id: 2, reps: "3", weight: Math.round((weightDefaultPlan * 0.85 * 10)) / 10 + ""}, ]},
                                {id: 5, day: new Date(dateCopy.setDate(dateCopy.getDate() + 1 * 7)), series:[{id: 0, reps: "1", weight: Math.round((weightDefaultPlan * 0.90 * 10)) / 10 + ""}, {id: 1, reps: "1", weight: Math.round((weightDefaultPlan * 0.90 * 10)) / 10 + ""}, {id: 2, reps: "1", weight: Math.round((weightDefaultPlan * 0.90 * 10)) / 10 + ""}, ]},
                                {id: 6, day: new Date(dateCopy.setDate(dateCopy.getDate() + 1 * 7)), series:[{id: 0, reps: "1", weight: weightDefaultPlan + ""}, ]},
                                ]
                setPlanification(newPlan)
            } else if (namePlan == "PIE Plan") { 
                let dateCopy = new Date(props.startDayPlan.getTime())
                const newPlan = [{id: 0, day: props.startDayPlan, series:[{id: 0, reps: "5", weight: Math.round((weightDefaultPlan * 0.93 * 10)) / 10 + ""}, {id: 1, reps: "5", weight: Math.round((weightDefaultPlan * 0.93 * 10)) / 10 + ""}, {id: 2, reps: "5", weight: Math.round((weightDefaultPlan * 0.93 * 10)) / 10 + ""}, ]},
                                {id: 1, day: new Date(dateCopy.setDate(dateCopy.getDate() + 1 * 7)), series:[{id: 0, reps: "5", weight: Math.round((weightDefaultPlan * 0.98 * 10)) / 10 + ""}, {id: 1, reps: "5", weight: Math.round((weightDefaultPlan * 0.98 * 10)) / 10 + ""}, {id: 2, reps: "5", weight: Math.round((weightDefaultPlan * 0.98 * 10)) / 10 + ""}, ]},
                                {id: 2, day: new Date(dateCopy.setDate(dateCopy.getDate() + 1 * 7)), series:[{id: 0, reps: "5", weight: Math.round((weightDefaultPlan * 0.98 * 10)) / 10 + ""}, {id: 1, reps: "5", weight: Math.round((weightDefaultPlan * 0.98 * 10)) / 10 + ""}, {id: 2, reps: "5", weight: Math.round((weightDefaultPlan * 0.98 * 10)) / 10 + ""}, ]},
                                {id: 3, day: new Date(dateCopy.setDate(dateCopy.getDate() + 1 * 7)), series:[{id: 0, reps: "5", weight: weightDefaultPlan + ""}, {id: 1, reps: "5", weight: weightDefaultPlan + ""}, {id: 2, reps: "5", weight: weightDefaultPlan + ""}, ]},
                                ]
                setPlanification(newPlan)
            } else {
                setPlanification(undefined)
            }
        }
    }, [weightDefaultPlan, namePlan, props.startDayPlan])

    const manageConfirm = () => {
        let ok = true
        if ( weightDefaultPlan == "" ) {
            Alert.alert(
                "Faltan campos por introducir",
                "Tu planificación del ejercicio debe tener como mínimo, almenos algún peso que levantar",
                [ { text: "OK" } ]
                )
            ok = false
        }

        if ( ok ) {
            Alert.alert(
                "¿Confirmar planificación?",
                "",
                [ { text: "Cancelar", style: "cancel"},{ text: "Confirmar", onPress: () => pushData()} ]
                )
            
        }
    }

    const pushData = async () => {
        let str = props.startDayPlan.toLocaleString('es-ES',{weekday:'long'})
        const str2 = str.charAt(0).toUpperCase() + str.slice(1)
        await setDoc( doc(db, "users", authentication.currentUser.uid, "planifications", props.exerciseName), { 
            exerciseName: props.exerciseName,
            startDayPlan: props.startDayPlan,
            namePlan: namePlan,
            planification: planification,
        })
        setWeightDefaultPlan("")
        setPlanification(undefined)
        Alert.alert(
            "Planificación añadida correctamente",
            "Podrás visualizar tu planificación del ejercicio en la sección de planificaciones",
            [ {text: "OK"} ]
        )
    }

    const renderSerie = ({ item }) => (
        <DefaultPlanCard id={item.id} day={item.day} series={item.series} />
    )

    return (
        <View style={plStyles.basicoDefaultPlanView}>
            <TouchableWithoutFeedback onPress={Keyboard.dismiss} 
                          accessible={false} activeOpacity={1}>
                <View style={colorScheme === 'dark' ? plStylesDark.weightDefaultPlanView : plStyles.weightDefaultPlanView}>
                    <Text style={colorScheme === 'dark' ? plStylesDark.weightDefaultPlanLabel : plStyles.weightDefaultPlanLabel}>Cantidad de peso a levantar</Text>
                    <TextInput placeholder="Kg" keyboardType='numeric' maxLength={6} value={weightDefaultPlan} style={colorScheme === 'dark' ? plStylesDark.weightDefaultPlanInput : plStyles.weightDefaultPlanInput} onChangeText={(value) => setWeightDefaultPlan(value)} />
                </View>
            </TouchableWithoutFeedback>
            {colorScheme === 'light' &&
                <Picker
                    itemStyle={{height: 110, fontSize: 16, }}
                    selectedValue={namePlan}
                    onValueChange={(itemValue) =>
                        setNamePlan(itemValue)
                    }>
                    <Picker.Item label="PIP Plan" value="PIP Plan" />
                    <Picker.Item label="PIE Plan" value="PIE Plan" />
                </Picker>
            }
            {colorScheme === 'dark' &&
                <Picker
                    itemStyle={{height: 110, fontSize: 16, color: '#fff', }}
                    selectedValue={namePlan}
                    onValueChange={(itemValue) =>
                        setNamePlan(itemValue)
                    }>
                    <Picker.Item label="PIP Plan" value="PIP Plan" />
                    <Picker.Item label="PIE Plan" value="PIE Plan" />
                    {/*<Picker.Item label="Planificación 3" value="Planificación 3" />
                    <Picker.Item label="Planificación 4" value="Planificación 4" />
                <Picker.Item label="Planificación 5" value="Planificación 5" />*/}
                </Picker>
            }
            <FlatList
                data={planification}
                renderItem={renderSerie}
                key={item => item.id}
                horizontal={true}
            />  
            <View style={plStyles.btnConfirmar}>
                <Button title="Confirmar" onPress={() => manageConfirm()}></Button>
            </View>   
        </View>
    )
}