import { Button, Text, TextInput, View, TouchableOpacity, FlatList, Alert, Keyboard, TouchableWithoutFeedback, Appearance } from 'react-native'
import React, { useState, useEffect } from 'react'
import Ionicons from 'react-native-vector-icons/Ionicons'

import { authentication } from '../../../../../firebaseConfig'
import { db } from '../../../../../firebaseConfig'
import { setDoc, doc } from 'firebase/firestore'

import YourPlanModal from '../../../Modals/YourPlanModal'
import DefaultPlanCard from '../../../PlannerCards/DefaultPlanCard'

import plStyles from '../../../plStyles'
import plStylesDark from '../../../plStylesDark'

export default function BasicoYourPlan(props) {

    const colorScheme = Appearance.getColorScheme()

    // ModalPlan
    const [ yourPlanModal, setYourPlanModal ] = useState(false)

    const [ planification, setPlanification ] = useState()

    const [ planName, setPlanName ] = useState("")
    
    useEffect(() => {
        console.log("PLAN FINAL", planification)
    }, [planification])

    useEffect(() => {     
        if ( planification != undefined ) {
            console.log("editDay")
            const newList = planification.map((item) => {
                if (item.id === 0) {
                    if (planification.length > 1) {
                        const date1 = new Date(props.startDayPlan.toLocaleDateString())
                        const date2 = new Date(planification.at(1).day.toLocaleDateString())
                        if ( date1 < date2 ) {
                            const updatedItem = {
                                ...item,
                                day: props.startDayPlan,
                            } 
                            return updatedItem
                        }
                        Alert.alert(
                            "Día introducido incorrecto",
                            "El día introducido ha de ser menor al siguiente día de la planificación",
                            [ { text: "OK" } ]
                            )
                        
                        return item
                    }
                    return item      
                } 
                return item
              })
            setPlanification(newList)
        }
    }, [props.startDayPlan])
    
    const manageConfirm = () => {
        let ok = true
        if ( planName == "" ) {
            Alert.alert(
                "Faltan campos por introducir",
                "Añádele un nombre a tu planificación",
                [ { text: "OK" } ]
                )
            ok = false
        } else if ( planification == undefined ){
            Alert.alert(
                "Sin plan",
                "Aún no has creado un plan el cual seguir",
                [ { text: "OK" }  ]
                )
            ok = false
        }

        if ( ok ) {
            Alert.alert(
                "¿Confirmar planificación?",
                "",
                [ { text: "Cancelar", style: "cancel"},{ text: "Confirmar", onPress: () => pushData()} ]
                )
        }
    }

    const pushData = async () => {
        let str = props.startDayPlan.toLocaleString('es-ES',{weekday:'long'})
        const str2 = str.charAt(0).toUpperCase() + str.slice(1)
        await setDoc( doc(db, "users", authentication.currentUser.uid, "planifications", props.exerciseName), { 
            exerciseName: props.exerciseName,
            startDayPlan: props.startDayPlan,
            namePlan: planName,
            planification: planification,
        })
        setPlanName("")
        setPlanification(undefined)
        Alert.alert(
            "Planificación añadida correctamente",
            "Podrás visualizar tu planificación del ejercicio en la sección de planificaciones",
            [ {text: "OK"} ]
        )
    }
    

    const renderSerie = ({ item }) => (
        <DefaultPlanCard id={item.id} day={item.day} series={item.series} />
    )

    return (
        <View style={plStyles.basicoYourPlanView}>
            <TouchableWithoutFeedback onPress={Keyboard.dismiss}>
            <View style={colorScheme === 'dark' ? plStylesDark.nameYourPlanView : plStyles.nameYourPlanView}>
                <Text style={colorScheme === 'dark' ? plStylesDark.nameYourPlanLabel : plStyles.nameYourPlanLabel}>Nombre de tu planificación</Text>
                <TextInput placeholder="Nombre" style={colorScheme === 'dark' ? plStylesDark.weightDefaultPlanInput : plStyles.weightDefaultPlanInput} value={planName} maxLength={30} onChangeText={(value) => setPlanName(value)} ></TextInput>
            </View>
            </TouchableWithoutFeedback>
            {planification == undefined && 
                <TouchableOpacity style={plStyles.btnSetYourPlan} onPress={() => setYourPlanModal(!yourPlanModal)}><Text style={plStyles.btnSetYourPlanText}>Crea tu propio plan</Text></TouchableOpacity>
            }
            {planification != undefined && 
                <TouchableOpacity style={plStyles.btnSetYourPlan} onPress={() => setYourPlanModal(!yourPlanModal)}><Text style={plStyles.btnSetYourPlanText}>Edita tu plan</Text></TouchableOpacity>
            }
            <YourPlanModal yourPlanModal={yourPlanModal} setYourPlanModal={setYourPlanModal} planification={planification} setPlanification={setPlanification} startDayPlan={props.startDayPlan}/>
            {planification==undefined &&
                <View style={plStyles.noPlanView}><View style={plStyles.noPlanView2}>
                    <Ionicons name="ios-information-circle-outline" size={25} color={'gray'} />
                    <Text style={plStyles.noPlanLabel}>Empieza creando un plan</Text>
                    
                </View></View>
            }
            {planification!=undefined &&
                <View style={plStyles.noPlanView}>
                    <FlatList
                        data={planification}
                        renderItem={renderSerie}
                        key={item => item.id}
                        horizontal={true}
                    /> 
                </View> 
            }
            <View style={plStyles.btnConfirmar}>
                    <Button title="Confirmar" onPress={() => manageConfirm()}></Button>
            </View>  
        </View>
    )
}