import { Text, View, Switch, Appearance } from 'react-native'
import { useState } from 'react'
import {Picker} from '@react-native-picker/picker'

import BasicoConPlan from './BasicTypes/BasicoConPlan'
import BasicoSinPlan from './BasicTypes/BasicoSinPlan'

import plStyles from '../plStyles'
import plStylesDark from '../plStylesDark'

export default function Basico(props) {

    const colorScheme = Appearance.getColorScheme()

    const [ exerciseName, setExerciseName ] = useState("Press de banca")

    const [ tienePlan, setTienePlan ] = useState(false)
    const toggleSwitch = () => setTienePlan(previousState => !previousState)
    
    return (
        <View style={plStyles.containerBasicos}> 
            <View style={colorScheme === 'dark' ? plStylesDark.exNameView : plStyles.exNameView}>
                <Text style={colorScheme === 'dark' ? plStylesDark.exNameLabelBasico : plStyles.exNameLabelBasico}>Que ejercicio quieres realizar:</Text>
                <View style={{marginRight: 15,}}>
                {colorScheme === 'light' &&
                    <Picker
                        itemStyle={{height: 110, fontSize: 16,}}
                        selectedValue={exerciseName}
                        onValueChange={(itemValue, itemIndex) =>
                            setExerciseName(itemValue)
                        }>
                        <Picker.Item label="Peso muerto sumo" value="Peso muerto sumo" />
                        <Picker.Item label="Peso muerto" value="Peso muerto" />
                        <Picker.Item label="Press de banca" value="Press de banca" />
                        <Picker.Item label="Sentadilla" value="Sentadilla" />
                        <Picker.Item label="Press militar" value="Press militar" />
                    </Picker>
                }
                {colorScheme === 'dark' &&
                    <Picker
                        itemStyle={{height: 110, fontSize: 16, color: '#fff'}}
                        selectedValue={exerciseName}
                        onValueChange={(itemValue, itemIndex) =>
                            setExerciseName(itemValue)
                        }>
                        <Picker.Item label="Peso muerto sumo" value="Peso muerto sumo" />
                        <Picker.Item label="Peso muerto" value="Peso muerto" />
                        <Picker.Item label="Press de banca" value="Press de banca" />
                        <Picker.Item label="Sentadilla" value="Sentadilla" />
                        <Picker.Item label="Press militar" value="Press militar" />
                    </Picker>
                }
            </View>
            </View>
            <View style={plStyles.switchPlanView}>
                <Text style={colorScheme === 'dark' ? plStylesDark.switchPlanLabel : plStyles.switchPlanLabel} >Ejercicio con planificación</Text>
                <Switch style={plStyles.switchPlanStyle}
                    trackColor={{ false: "#767577", true: "#32CD32" }}
                    thumbColor={tienePlan ? "#f4f3f4" : "#f4f3f4"}
                    ios_backgroundColor="#3e3e3e"
                    onValueChange={toggleSwitch}
                    value={tienePlan}/>
            </View>
            {/* Si tiene plan --> */}
            {tienePlan && <BasicoConPlan exerciseName={exerciseName} /> }
            {/* Si no tiene plan --> */}
            {!tienePlan && <BasicoSinPlan exerciseName={exerciseName} /> }

        </View>
    )
}