import { Button, View, Modal, Appearance} from 'react-native'
import { useState } from 'react'

import DateTimePicker from '@react-native-community/datetimepicker'

import plStyles from '../plStyles'
import plStylesDark from '../plStylesDark'

export default function DayModal(props) {

    const colorScheme = Appearance.getColorScheme()

    const [ tempDay, setTempDay ] = useState(new Date)

    const onChange = (event, selectedDate) => {
        const currentDate = selectedDate
        setTempDay(currentDate)
    }

    const confirm = () => {
        props.setDay(tempDay)
        props.setDayModal(!props.dayModal)
    }


    return (
        <Modal
            animationType="slide"
            transparent={true}
            visible={props.dayModal}
            onRequestClose={() => { props.setDayModal(!props.dayModal) }}
            >
            <View style={colorScheme === 'dark' ? plStylesDark.modelView : plStyles.modelView}>
                <View style={plStyles.modelViewButtons}>
                    <Button title="Cancelar" onPress={() => props.setDayModal(!props.dayModal)}/>
                    <Button title="Confirmar" onPress={() => confirm()}/>  
                </View>
                <View style={plStyles.dateTimePickerView2}>
                <DateTimePicker
                        style={plStyles.dateTimerPickerStyle2}
                        testID="dateTimePicker"
                        value={tempDay}
                        mode='date'
                        display="spinner"
                        is24Hour={true}
                        onChange={onChange}
                    />
                </View>
            </View>
        </Modal>
    )
}