import { View, TouchableOpacity, Text, Appearance } from 'react-native'
import { useState } from 'react'

import NoBasico from './ExerciseTypes/NoBasico'
import Basico from './ExerciseTypes/Basico'

import plStyles from './plStyles'
import plStylesDark from './plStylesDark'

export default function Planner() {

    const colorScheme = Appearance.getColorScheme()

    const [ typeExercise, setTypeExercise ] = useState(0)

    return (
        <View style={colorScheme === 'dark' ? plStylesDark.containerPlanner : plStyles.containerPlanner}>
            {colorScheme === 'light' &&
                <View style={plStyles.styleSwitchSelector}>
                    <TouchableOpacity style={typeExercise ? plStyles.styleLeftSwitch2 : plStyles.styleLeftSwitch} onPress={() => setTypeExercise(0)}><Text style={typeExercise ? plStyles.styleTextSwitch2 : plStyles.styleTextSwitch}>BÁSICO</Text></TouchableOpacity>
                    <TouchableOpacity style={typeExercise ? plStyles.styleRightSwitch2 : plStyles.styleRightSwitch} onPress={() => setTypeExercise(1)}><Text style={typeExercise ? plStyles.styleTextSwitch : plStyles.styleTextSwitch2}>NO-BÁSICO</Text></TouchableOpacity>
                </View>
            }
            {colorScheme === 'dark' &&
                <View style={plStylesDark.styleSwitchSelector}>
                    <TouchableOpacity style={typeExercise ? plStylesDark.styleLeftSwitch2 : plStylesDark.styleLeftSwitch} onPress={() => setTypeExercise(0)}><Text style={typeExercise ? plStylesDark.styleTextSwitch2 : plStylesDark.styleTextSwitch}>BÁSICO</Text></TouchableOpacity>
                    <TouchableOpacity style={typeExercise ? plStylesDark.styleRightSwitch2 : plStylesDark.styleRightSwitch} onPress={() => setTypeExercise(1)}><Text style={typeExercise ? plStylesDark.styleTextSwitch : plStylesDark.styleTextSwitch2}>NO-BÁSICO</Text></TouchableOpacity>
                </View>
            }
            { typeExercise==0 && <Basico /> }
            { typeExercise==1 && <NoBasico /> }
        </View>
    )
}