import {Text, View, TouchableOpacity, Button, TextInput, Appearance } from 'react-native'

import plStyles from '../plStyles'
import plStylesDark from '../plStylesDark'

export default function DayYourSeriesCard(props) {

    const colorScheme = Appearance.getColorScheme()

    const modifyReps = (id, newText) => {    
        const newList = props.series.map((item) => {
            if (item.id === id) {
                const updatedItem = {
                    ...item,
                    reps: newText,
                  }
                return updatedItem
            }
            return item
          })
        props.setSeries(newList)
    }

    const modifyWeight = (id, newText) => {
        const newList = props.series.map((item) => {
            if (item.id === id) {
                const updatedItem = {
                    ...item,
                    weight: newText,
                  }
                return updatedItem
            }
            return item
          })
        props.setSeries(newList)
    }

    return (
        <View>
            <View style={colorScheme === 'dark' ? plStylesDark.separator : plStyles.separator} />
            <TouchableOpacity style={plStyles.dayYourSeriesCardView} activeOpacity={1}>
                <Text style={colorScheme === 'dark' ? plStylesDark.serieLabel : plStyles.serieLabel}>Serie {props.id + 1}</Text>
                <TextInput style={colorScheme === 'dark' ? plStylesDark.serieInputStyle2 : plStyles.serieInputStyle2} placeholder="Repeticiones" keyboardType='numbers-and-punctuation' maxLength={9} onChangeText={(value) => modifyReps(props.id, value)}/>
                <View style={plStyles.serieInput}>
                    <TextInput style={colorScheme === 'dark' ? plStylesDark.serieInputStyle : plStyles.serieInputStyle} placeholder="Kg" keyboardType='numeric' maxLength={6} onChangeText={(value) => modifyWeight(props.id, value)}/>
                </View>
            </TouchableOpacity>
        </View>
    )
}