import {Text, View, TouchableOpacity, Appearance } from 'react-native'

import plStyles from '../plStyles'
import plStylesDark from '../plStylesDark'

export default function DefaultPlanCard(props) {

    const colorScheme = Appearance.getColorScheme()

    const getStrSeries = () => {
        var string = ""
        for(var i = 0; i < props.series.length; i++) {
            if ( i < props.series.at(-1).id ) {
                string = string + "Serie " + ( props.series.at(i).id + 1 ) + " - "
            }
        }
        return string + "Serie " + ( props.series.at(-1).id + 1 )
    };

    const getStrReps = () => {
        var string = ""
        for(var i = 0; i < props.series.length; i++) {
            if ( i < props.series.at(-1).id ) {
                string = string + props.series.at(i).reps + " rep/s - "
            }
        }
        return string + props.series.at(-1).reps + " rep/s"
    }

    const getStrWeight = () => {
        var string = ""
        for(var i = 0; i < props.series.length; i++) {
            if ( i < props.series.at(-1).id ) {
                string = string + props.series.at(i).weight + " kg - "
            }
        }
        return string + props.series.at(-1).weight + " kg"
    }

    return (
        <TouchableOpacity style={colorScheme === 'dark' ? plStylesDark.defaultPlanCardView : plStyles.defaultPlanCardView} activeOpacity={1}>
            <View style={plStyles.defaultPlanCardViewDay}>
                <Text style={colorScheme === 'dark' ? plStylesDark.defaultPlanSerieLabelDay : plStyles.defaultPlanSerieLabelDay}>{props.day.toLocaleString('en-US',{day:'numeric', month:'short'})}</Text>
                <Text style={colorScheme === 'dark' ? plStylesDark.defaultPlanSerieLabelDay : plStyles.defaultPlanSerieLabelDay}>{props.day.toLocaleString('en-US',{year:'numeric'})}</Text>
            </View>
            <View style={colorScheme === 'dark' ? plStylesDark.verticalSeparator : plStyles.verticalSeparator}></View>
            <View style={plStyles.defaultPlanCardInfo}>
                <Text style={colorScheme === 'dark' ? plStylesDark.defaultPlanSerieLabel : plStyles.defaultPlanSerieLabel}>{getStrSeries()}</Text>
                <Text style={colorScheme === 'dark' ? plStylesDark.defaultPlanSerieLabel : plStyles.defaultPlanSerieLabel}>{getStrReps()}</Text>
                <Text style={colorScheme === 'dark' ? plStylesDark.defaultPlanSerieLabel : plStyles.defaultPlanSerieLabel}>{getStrWeight()}</Text>
            </View>
        </TouchableOpacity>
    )
}