import { Button, Text, TextInput, View, TouchableOpacity, Appearance } from 'react-native'

import plStyles from '../plStyles'
import plStylesDark from '../plStylesDark'

export default function Serie(props) {

    const colorScheme = Appearance.getColorScheme()

    const modifyReps = (id, newText) => {    
        const newList = props.seriesList.map((item) => {
            if (item.id === id) {
                const updatedItem = {
                    ...item,
                    reps: newText,
                  }
                return updatedItem
            }
            return item
          })
        props.setSeriesList(newList)
    }

    const modifyWeight = (id, newText) => {
        const newList = props.seriesList.map((item) => {
            if (item.id === id) {
                const updatedItem = {
                    ...item,
                    weight: newText,
                  }
                return updatedItem
            }
            return item
          })
        props.setSeriesList(newList)
    }

    return (
        <TouchableOpacity style={colorScheme === 'dark' ? plStylesDark.serieView : plStyles.serieView} activeOpacity={1}>
            <Text style={colorScheme === 'dark' ? plStylesDark.serieLabel : plStyles.serieLabel}>Serie {props.id + 1}</Text>
            <TextInput style={colorScheme === 'dark' ? plStylesDark.serieInputStyle2 : plStyles.serieInputStyle2} placeholder="Repeticiones" keyboardType='numbers-and-punctuation' maxLength={9} onChangeText={(value) => modifyReps(props.id, value)}/>
            <View style={plStyles.serieInput}>
                <TextInput style={colorScheme === 'dark' ? plStylesDark.serieInputStyle : plStyles.serieInputStyle} placeholder="Kg" keyboardType='numeric' maxLength={6} onChangeText={(value) => modifyWeight(props.id, value)}/>
            </View>
        </TouchableOpacity>
    )
}