import { StyleSheet} from 'react-native';

const plStyles = StyleSheet.create({

  // PLANNER -------------------------------------
    containerPlanner: {
      backgroundColor: '#f2f1f6',
      alignItems: 'center',
      flex: 1,
      paddingTop:30,
    },
    styleSwitchSelector: {
      width: 200,
      height: 43,
      borderColor: '#0080FE',
      borderWidth: 1,
      borderRadius: 25,
      marginTop: 50,
      marginBottom: 30,
      flexDirection: 'row',
      alignItems: 'center',
      justifyContent: 'space-around',
    },
    styleLeftSwitch: {
      backgroundColor: '#0080FE', 
      height: '95%', 
      width: '47%', 
      borderRadius: 25, 
      justifyContent: 'center', 
      flexDirection: 'row', 
      paddingVertical: 11,
    },
    styleLeftSwitch2: {
      backgroundColor: '#f2f1f6', 
      height: '95%', 
      width: '47%', 
      borderRadius: 25, 
      justifyContent: 'center', 
      flexDirection: 'row', 
      paddingVertical: 11,
    },
    styleRightSwitch: {
      backgroundColor: '#f2f1f6', 
      height: '95%', 
      width: '50%', 
      borderRadius: 25, 
      justifyContent: 'center', 
      flexDirection: 'row', 
      paddingVertical: 11,
    },
    styleRightSwitch2: {
      backgroundColor: '#0080FE', 
      height: '95%', 
      width: '50%', 
      borderRadius: 25, 
      justifyContent: 'center', 
      flexDirection: 'row', 
      paddingVertical: 11,
    },
    styleTextSwitch: {
      color: '#f2f1f6',
    },
    styleTextSwitch2: {
      color: 'black',
    },
  // ---------------------------------------------
  
  // NO-BÁSICO -----------------------------------
    containerNoBasicos: {
      flex: 1,
      width: '90%',
      
    },
    exNameView: {
      backgroundColor: '#fff',
      width: '100%',
      borderRadius: 15,
      paddingLeft: 15,
      paddingVertical: 15,
    },
    exNameLabel: {
      fontSize: 19,
    },
    exNameInput: {
      marginTop: 10,
      fontSize: 16,
      borderBottomWidth: 1,
      borderBottomColor:'#e7e7e7', 
    },
    seriesView: {
      marginTop: 25,
      flexDirection: 'row',
      alignItems: 'center',
    },
    btnAddSeriesView: {
      flex: 1,
      flexDirection: 'row',
      justifyContent: 'flex-end',
      alignItems: 'center',
    },
    nSeriesLabel: {
      fontSize: 15,
      marginLeft: 5,
      color: 'gray',
    },
    btnConfirmar: {
      height: 60,
      marginBottom: 75,
    },
    btnConfirmar2: {
      height: 60,
      
    },
  // ---------------------------------------------

  // BÁSICOS -------------------------------------
    containerBasicos: {
      flex: 1,
      width: '90%',
    },
    exNameLabelBasico: {
      marginLeft: 0,
      fontSize: 19,
    },
    switchPlanView: {
      flexDirection: 'row',
      marginLeft: 8,
      marginTop: 10,
      height: 31,
      alignItems: 'center',
    },
    switchPlanLabel: {
      
      fontSize: 19,
      paddingRight: 7,
    },
    switchPlanStyle: {
      transform: [{ scaleX: .75 }, { scaleY: .75 }]
    },
  // BASICO SIN PLAN -----------------------------
    containerBasicoSinPlan: {
      flex: 1,
    },
    noPlanSerieView: {
      marginTop: 20,
      marginBottom: 10,
      justifyContent: 'center',
      flexDirection: 'row',
    },
  // ---------------------------------------------

  // BASICO CON PLAN -----------------------------
    containerBasicoConPlan: {
      flex: 1,
      paddingTop: 10,
    },
    iosWrapView: {
      backgroundColor: '#fff',
      borderTopRightRadius: 15,
      borderTopLeftRadius: 15,
      paddingTop: 10,
      paddingHorizontal: 10,
      
    },
    dateTimerPickerStyle: {
      height: 35,
      width: 127,
    },
    dateTimePickerView: {
      flexDirection: 'row',
    },
    dateTimePickerLabel: {
      marginTop: 8,
      marginRight: 2,
      fontSize: 16,
    },
    separator: {
      backgroundColor: '#e7e7e7',
      height: 1,
      marginVertical: 5
    },
    switchDefaultPlanView: {
      flexDirection: 'row',
      height: 31,
    },
    switchDefaultPlanLabel: {
      marginTop: 5,
      marginRight: 33,
      fontSize: 16,
    },
    switchDefaultPlanStyle: {
      transform: [{ scaleX: .7 }, { scaleY: .7 }]
    },
  // ---------------------------------------------
    
  // BASICO DEFAULT PLAN -------------------------
    basicoDefaultPlanView: {
      flex: 1,
    },
    weightDefaultPlanView: {
      backgroundColor: '#fff',
      paddingStart: 10,
      flexDirection: 'row',
      justifyContent: 'start',
      borderBottomRightRadius: 15,
      borderBottomLeftRadius: 15,
      paddingTop: 5,
      paddingBottom: 15,
    },
    weightDefaultPlanLabel: {
      marginRight: 20,
      fontSize: 16,
    },
    weightDefaultPlanInput: {
      flex: 1,
      borderBottomWidth: 1,
      borderBottomColor: '#e7e7e7',
      
    },
  // ---------------------------------------------
  
  // BASICO YOUR PLAN ----------------------------
    basicoYourPlanView: {
      flex: 1,
    },
    nameYourPlanView: {
      flexDirection: 'row',
      justifyContent: 'start',
      backgroundColor: '#fff',
      paddingStart: 10,
      borderBottomRightRadius: 15,
      borderBottomLeftRadius: 15,
      paddingTop: 5,
      paddingBottom: 15,
    },
    nameYourPlanLabel: {
      marginRight: 27,
      fontSize: 16,
    },
    btnSetYourPlan: {
      backgroundColor: '#0080FE',
      borderRadius: 10,
      alignItems: 'center',
      height: 40,
      marginTop: 20,
    },
    btnSetYourPlanText: {
      color: '#fff',
      paddingTop: 8.5,
      fontSize: 18,
      fontWeight: 'bold',
    },
    noPlanView: {
      flex: 1,
      justifyContent: 'center',
      flexDirection: 'row',
      marginVertical: 20,
    },
    noPlanView2: {
      alignItems: 'center',
      justifyContent: 'center',
      flexDirection: 'col',
    },
    noPlanLabel: {
      color: 'gray',
    },
  // ---------------------------------------------

  // MODAL ---------------------------------------
    modelView: {
      backgroundColor: '#fff', 
      width: '100%', 
      height: '30%', 
      position: 'absolute', 
      bottom: 0,
    },
    modelViewButtons: {
      flexDirection: 'row', 
      width: '100%', 
      justifyContent: 'center',
    },
  // -----------------------------------------------

  // MODAL YOUR PLAN -------------------------------
    modelYourPlanView: {
      backgroundColor: '#f2f1f6', 
      width: '100%', 
      height: '93%', 
      position: 'absolute', 
      bottom: 0,
      alignItems: 'center',
    },
    modelYourPlanView2: {
      flex: 1,
      //backgroundColor: 'yellow',
      width: '90%',
      marginBottom: 50,
      marginTop: 30,
    },
    modelCloseTitleView: {
      flexDirection: 'row',
      justifyContent: 'space-between',
      alignItems: 'center',
    },
    modelTextTitle: {
      fontSize: 30,
      fontWeight: 'bold',
    },
    modelDaysLabel: {
      backgroundColor: '#fff',
      marginHorizontal: 10,
      marginTop: 30,
      marginBottom: 25,
      borderRadius: 15,
      paddingVertical: 10,
      flexDirection: 'row',
    },
    modelDaysText: {
      fontSize: 16,
      marginLeft: 15,
      
    },
    modelDaysInput: {
      flex: 1,
      marginLeft: 10,
      borderBottomColor: '#e7e7e7',
      borderBottomWidth: 1,
    },
    btnAddSeriesViewYourPlan: {
      flex: 1,
      flexDirection: 'row',
      justifyContent: 'flex-end',
      alignItems: 'center',
      marginRight: 10,
    },
  // -----------------------------------------------

  // DAY YOUR PLAN CARD ----------------------------
  dayYourPlanCardView: {
    flex: 1,
    marginBottom: 10,
    marginLeft: 10,
    marginRight: 10,
    padding: 5,
    justifyContent: 'flex-start',
    alignItems: 'center',
    flexDirection: 'col',
    backgroundColor: '#fff',
    borderRadius: 15,
  },
  dayYourPlanAddSeries: {
    marginBottom: 10,
    justifyContent: 'center',
    flexDirection: 'row',
  },
  dayYourPlanCardDayLabel: {
    marginLeft: 20,
    color: 'gray',
    fontSize: 15,
    marginRight: 15,
  },
  dayYourPlanCardDayLabel2: {
    color: 'gray',
    fontSize: 15,
    marginLeft: 10,
  },
  seriesViewYourPlan: {
    marginVertical: 5,
    marginHorizontal: 5,
    flexDirection: 'row',
    alignItems: 'center',
  },
  // -----------------------------------------------

  // DAY YOUR SERIES CARD ----------------------------
  dayYourSeriesCardView: {
      justifyContent: 'flex-start',
      alignItems: 'center',
      flexDirection: 'row',
      paddingVertical: 7,
  },
  // -----------------------------------------------

  // DEFAULT PLAN CARD -----------------------------
    defaultPlanCardView: {
      flex: 1,
      margin: 10,
      padding: 5,
      justifyContent: 'flex-start',
      alignItems: 'center',
      flexDirection: 'row',
      backgroundColor: '#fff',
      borderRadius: 10,
    },
    defaultPlanSerieLabelDay: {
      paddingVertical: 5,
      fontWeight: 'bold',
      fontSize: 16,
    },
    defaultPlanSerieLabel: {
      marginVertical: 3,
      marginHorizontal: 10, 
    },
    defaultPlanCardViewDay: {
      flex: 1,
      alignItems: 'center',
      padding: 5,
    },
    verticalSeparator: {
      height: '90%',
      width: 1,
      backgroundColor: '#e7e7e7',
      marginHorizontal: 5,
    },
    defaultPlanCardInfo: {
      alignItems: 'center',
    },
  // -------------------------------------------

  // SERIE -------------------------------------
    serieView: {
      flex: 1,
      margin: 10,
      height: 50,
      justifyContent: 'flex-start',
      alignItems: 'center',
      flexDirection: 'row',
      backgroundColor: '#fff',
      borderRadius: 10,
      
    },
    serieInputStyle2: {
      width: '35.8%',
      borderBottomColor: '#e7e7e7',
      borderBottomWidth: 1,
    },
    serieLabel: {
      fontWeight: 'bold',
      paddingStart: 10,
      fontSize: 16,
      width: '32%',
    },
    nRepsLabel: {
      marginTop: 9,
      fontSize: 15,
      marginHorizontal: 7,
    },
    serieInput: {
      justifyContent: 'center',
      width: '32%',
      paddingLeft: 30,
    },
    serieInputStyle: {
      borderBottomColor: '#e7e7e7',
      borderBottomWidth: 1,
      
    },
  // -------------------------------------------

  // DAY MODAL ---------------------------------
    dateTimePickerView2: {
      width: '100%',
      alignItems: 'center',
    },
    dateTimerPickerStyle2: {
      height: 150,
      width: 350,
    },
  // -------------------------------------------
    
  });

export default plStyles;