import { View, Modal, Text, TouchableOpacity, Alert, Appearance, Dimensions } from 'react-native'
import { useState } from 'react'
import Ionicons from 'react-native-vector-icons/Ionicons'

import { authentication } from '../../../firebaseConfig'

import usrStyles from '../usrStyles'
import usrStylesDark from '../usrStylesDark'

export default function StatsModal(props) {

    const colorScheme = Appearance.getColorScheme()
    const data=[ {value:50}, {value:80}, {value:90}, {value:70} ]
    return (
        <Modal
            animationType="slide"
            transparent={true}
            visible={props.statsModal}
            onRequestClose={() => { props.setProfileModal(!props.statsModal) }}
            >
            <View style={colorScheme === 'dark' ? usrStylesDark.modelView : usrStyles.modelView}>
                <TouchableOpacity style={{flexDirection: 'row', alignItems: 'center'}} onPress={() => props.setStatsModal(!props.statsModal)}>
                    <Ionicons name="ios-chevron-back" size={25} color={'#0080FE'} />
                    <Text style={{color: '#0080FE', fontSize: 16,}}>Perfil</Text>
                </TouchableOpacity>
                
            </View>
        </Modal>
    )
}