import { View, Text, Appearance } from 'react-native'
import { useState } from 'react'

import Login from './Login'
import Register from './Register'

import usrStyles from './usrStyles'
import usrStylesDark from './usrStylesDark'

export default function Users() {

  const colorScheme = Appearance.getColorScheme()

    const [ login, setLogin ] = useState(true)

  return (
    <View style={colorScheme === 'dark' ? usrStylesDark.container : usrStyles.container}>
        {login && <Text style={colorScheme === 'dark' ? usrStylesDark.loginLabel : usrStyles.loginLabel}>Iniciar Sesión</Text> }
        {login && <Login mode={login} setMode={setLogin}/> }
        {!login && <Text style={colorScheme === 'dark' ? usrStylesDark.registerLabel : usrStyles.registerLabel}>Registro</Text>}
        {!login && <Register mode={login} setMode={setLogin}/>}
    </View>
  )
}

