import { Text, View, TouchableOpacity, Alert, Appearance } from 'react-native'
import Ionicons from 'react-native-vector-icons/Ionicons'

import { authentication } from '../../../firebaseConfig'
import { doc, deleteDoc } from "firebase/firestore"
import { db } from '../../../firebaseConfig'

import usrStyles from '../usrStyles'
import usrStylesDark from '../usrStylesDark'

export default function RecordCard(props) {

    const colorScheme = Appearance.getColorScheme()

    const deleteRecord = () => {
        Alert.alert(
            "¿Seguro que quieres eliminar tu marca personal?",
            "",
            [ { text: "Cancelar", style: "cancel" }, { text: "Eliminar" , onPress: () => onDelete()} ]
        )
    }

    const onDelete = async () => {
        await deleteDoc(doc(db, "users", authentication.currentUser.uid, "records", props.exerciseName))
    }

    return (
        <TouchableOpacity style={colorScheme === 'dark' ? usrStylesDark.recordView : usrStyles.recordView} onLongPress={() => deleteRecord()}>
            <View style={{width: '100%', alignItems: 'center', marginTop: 5,}}>
                <Ionicons name="ios-trophy" size={50} color={'orange'} />
            </View>
            <View style={colorScheme === 'dark' ? usrStylesDark.separatorRec : usrStyles.separatorRec}/>
            <Text style={usrStyles.recordLabelDate}>{props.recordDay}</Text>
            <Text style={colorScheme === 'dark' ? usrStylesDark.recordLabelName : usrStyles.recordLabelName} numberOfLines={2}>{props.exerciseName}</Text>
            <Text style={colorScheme === 'dark' ? usrStylesDark.recordLabelWeight : usrStyles.recordLabelWeight}>{props.weight} kg/s</Text>
        </TouchableOpacity>
    )
}