import { StyleSheet} from 'react-native';

const usrStyles = StyleSheet.create({

  // USERS -----------------------------
    container: {
      flex: 1,
      backgroundColor: '#f2f1f6',
      alignItems: 'center',
    },
  // ---------------------------------------

  // LOGIN - REGISTER ----------------------
    loginLabel: {
        fontSize: 30,
        fontWeight: 'bold',
        marginBottom: 25,
        marginTop: '35%',
    },
    registerLabel: {
        fontSize: 30,
        fontWeight: 'bold',
        marginBottom: 25,
        marginTop: '25%',
    },
    loginView: {
        width: '85%',
        alignItems: 'center',
        borderRadius: 15,
        backgroundColor: '#fff'
    },
    separator: {
        backgroundColor: '#e7e7e7',
        height: 1,
        marginVertical: 5,
        width: '100%',
    },
    userParamsView: {
        width: '100%',
        paddingLeft: 25,
    },
    userParamsLabel: {
        fontSize: 20,
        fontWeight: 'bold',
        marginTop: 25,
    },
    userParamsInput: {
        marginTop: 15,
        fontSize:15,
        marginBottom:15,
        borderBottomColor: '#e7e7e7',
        borderBottomWidth: 1,
    },
    pswParamsView: {
        width: '100%',
        paddingLeft: 25,
    },
    pswParamsLabel: {
        fontSize: 20,
        fontWeight: 'bold',
        marginTop: 20,
    },
    pswParamsInput: {
        marginTop: 15,
        fontSize:15,
        marginBottom:15,
        borderBottomColor: '#e7e7e7',
        borderBottomWidth: 1,
    },
    btnConfirmar: {
        marginTop: 15,
        marginBottom: 20,
    },
    verticalSeparator: {
        height: 27,
        width: 1,
        backgroundColor: '#e7e7e7',
    },
    botonera: {
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center',
    },
    // -------------------------------------

    // PROFILE -----------------------------
    profileView: {
        flex: 1,
        backgroundColor: '#f2f1f6',
        alignItems: 'center',
        paddingTop: 80,
    },
    profileTitle: {
        width: '90%',
        marginBottom: 10
    },
    profileTitleText: {
        fontSize: 30,
        fontWeight: 'bold',
    },
    yourDataView: {
        backgroundColor: '#fff',
        borderRadius: 15,
        
        width: '90%',
    },
    yourDataItemsView: {
        flexDirection: 'row',
        padding: 10,
    },
    namePrevView: {
        marginTop: 15,
        marginLeft: 10,
        width: '65%',
    },
    yourNameText: {
        fontSize: 18,
    },
    yourDataText: {
        fontSize: 13,
    },
    forwardIcon: {
        justifyContent: 'center',
    },
    separatorProfile: {
        backgroundColor: '#e7e7e7',
        height: 1,
        marginLeft: 30,
    },
    separatorProfile2: {
        backgroundColor: '#e7e7e7',
        height: 1,
        marginLeft: 30,
        marginVertical: 7,
    },
    emailView: {
        flexDirection: 'row',
        padding: 10,
        marginLeft: 10,
        alignItems: 'center',
    },
    emailText: {
        fontSize: 15,
    },
    emailTextView: {
        marginTop: 1,
        marginLeft: 8,
    },
    emailText2: {
        color: 'gray',
    },
    appPropsTextView: {
        flexDirection: 'row',
        alignItems: 'center',
        width: '90%',
        marginTop: 28,
    },
    appPropsText: {
        color: 'gray',
    },  
    propsView: {
        backgroundColor: '#fff',
        width: '90%',
        marginTop: 8,
        borderRadius: 15,
    },
    switchAlertStyle: {
        transform: [{ scaleX: .8 }, { scaleY: .8 }],
    },
    switchThemeStyle: {
        transform: [{ scaleX: .8 }, { scaleY: .8 }],
    },
    propsAlertView: {
        flexDirection: 'row',
        alignItems: 'center',
        marginTop: 10,
        marginLeft: 8,
        
    },
    propsAlertViewText: {
        marginLeft: 5,
        fontSize: 15,
    },
    propsAlertSetView: {
        marginLeft: 8,
        flexDirection: 'row',
        alignItems: 'center',
    },
    propsDarkThemeView: {
        flexDirection: 'row',
        alignItems: 'center',
        marginLeft: 8,
        marginTop: 7,
    },
    switchThemeView: {
        flex: 1,
        alignItems: 'flex-end',
    },
    exitView: {
        flexDirection: 'row',
        alignItems: 'center',
        marginLeft: 8,
        marginBottom: 8,
    },
    propsLogoutText: {
        marginLeft: 2,
        fontSize: 15,
    },
    arrowLogoutView: {
        flex: 1,
        alignItems: 'flex-end',
        marginEnd: 10,
    },
    // -------------------------------------

    // PROFILE MODAL -----------------------
    modelView: {
        flex: 1,
        backgroundColor: '#f2f1f6',
        paddingTop: 80,
        paddingHorizontal: 20,
    },
    propsView2: {
        backgroundColor: '#fff',
        width: '100%',
        marginTop: 8,
        borderRadius: 15,
    },
    modelShowDataView: {
        width: '100%',
        alignItems: 'center',
        marginBottom: 10,
    },
    yourNameText2: {
        fontSize: 23,
        marginBottom: 3,
    },
    changeEmail: {
        flexDirection: 'row',
        alignItems: 'center',
        marginLeft: 8,
        marginTop: 8,
    },
    textModifyEmail: {
        fontSize: 15,
        marginLeft: 3,
    },
    changePassword: {
        flexDirection: 'row',
        alignItems: 'center',
        marginLeft: 8,
        marginBottom: 10,
    },
    textModifyPsw: {
        fontSize: 15,
        marginLeft: 3,
        marginTop: 5,
    },
    changeUserName: {
        flexDirection: 'row',
        alignItems: 'center',
        marginLeft: 8,
        
    },
    deleteUser: {
        flexDirection: 'row',
        alignItems: 'center',
        marginLeft: 8,
        marginVertical: 8,
    },
    // -------------------------------------

    // MODAL RECORDS -----------------------
    modelRecordsView: {
        backgroundColor: '#f2f1f6',
        width: '100%', 
        height: '67.5%', 
        position: 'absolute', 
        bottom: 0,
    },
    modelViewButtons: {
        flexDirection: 'row', 
        width: '100%', 
        justifyContent: 'center',
    },
    modelRecordsInputsView: {
        width: '100%',
        alignItems: 'center',
        marginTop: 25,
    },
    modelRecordsInput: {
        width: '100%',
        marginVertical: 15,
        fontSize: 15,
        marginLeft: 60,
        borderBottomColor: '#e7e7e7',
        borderBottomWidth: 1,
    },
    datePickerView: {
        width: '100%',
        flexDirection: 'row',
        alignItems: 'center',
        marginLeft: 30,
        marginVertical: 10,
    },
    datePickerRecord: {
        height: 35,
        width: 125,
    },
    datePickerLabel: {
        marginRight: 15,
        fontSize: 15,
    },
    // -------------------------------------

    // CHANGE EMAIL MODAL ------------------
    changeEmailModelView: {
        backgroundColor: '#f2f1f6',
        width: '100%', 
        height: '68%', 
        position: 'absolute', 
        bottom: 0,
    },
    changeEmailModelViewButtons: {
        flexDirection: 'row', 
        width: '100%', 
        justifyContent: 'center',
    },
    changeEmailModelInputView: {
        width: '100%',
        alignItems: 'center',
        marginTop: 25,
    },
    changeEmailModelInput: {
        width: '100%',
        marginVertical: 15,
        marginLeft: 60,
        borderBottomColor: '#e7e7e7',
        borderBottomWidth: 1,
        fontSize: 15,
    },
    // -------------------------------------

    // RECORD ------------------------------
    recordView: {
        width: 120,
        flex:1,
        backgroundColor: '#fff',
        borderRadius: 15,
        marginRight: 10,
    },
    recordLabelDate: {
        fontSize: 13,
        color: 'gray',
        marginLeft: 8,
    },
    recordLabelName: {
        fontSize: 16,
        textAlign: 'center',
        width: '100%',
    },
    recordLabelWeight: {
        fontSize: 12,
        textAlign: 'center',
        width: '100%',
        marginBottom: 10,
    },
    separatorRec: {
        height: 1,
        backgroundColor: '#e7e7e7',
        width: '94%',
        marginVertical: 5,
        marginLeft: 8
    },  
    // -------------------------------------
  });

export default usrStyles;